import type { Generic } from 'adopted-style-sheets';
import { AssociatedInputController } from './associated.controller';
import type { Props, Watches } from './types';
export declare class ControlledInputController extends AssociatedInputController implements Watches {
    protected readonly component: Generic.Element.Component & Props;
    constructor(component: Generic.Element.Component & Props, name: string, host?: HTMLElement);
    validateAlert(value?: boolean): void;
    validateTouched(value?: boolean): void;
    componentWillLoad(): void;
}
